' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Namespace BookStoreApplication

    Public Class Book

        Private Sub Book_Created()
            Me.Category = 2
        End Sub

        Private Sub PublicationDate_Validate(ByVal results As EntityValidationResultsBuilder)
            ' results.AddPropertyError("<Error-Message>")
            If DateTime.Now.Date < Me.PublicationDate.Date Then
                results.AddPropertyError("The publication date cannot be a future date. The book must be already published.")
            End If
        End Sub
    End Class

End Namespace