' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Namespace BookStoreApplication

    Public Class ApplicationDataService

        Private Sub Books_Validate(ByVal entity As Book, ByVal results As EntitySetValidationResultsBuilder)
            If entity.Category = 0 And entity.Price < 10 Then
                results.AddEntityError("COM+ books cannot have a price lower than 10.")
            End If

            If entity.Category = 1 And entity.Price < 20 Then
                results.AddEntityError("Visual Basic 6 books cannot have a price lower than 20.")
            End If

        End Sub
    End Class

End Namespace