' ----------------------------------------------------------------------------------
' Microsoft Developer & Platform Evangelism
' 
' Copyright (c) Microsoft Corporation. All rights reserved.
' 
' THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, 
' EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES 
' OF MERCHANTABILITY AND/OR FITNESS FOR A PARTICULAR PURPOSE.
' ----------------------------------------------------------------------------------
' The example companies, organizations, products, domain names,
' e-mail addresses, logos, people, places, and events depicted
' herein are fictitious.  No association with any real company,
' organization, product, domain name, email address, logo, person,
' places, or events is intended or should be inferred.
' ----------------------------------------------------------------------------------

Imports Microsoft.LightSwitch.BaseServices.ResourceService
Imports System.Globalization
Imports System.ComponentModel.Composition


<Export(GetType(IResourceProvider))>
<ResourceProvider("BingMapImages")>
Public Class BingMapImageProvider
    Implements IResourceProvider

    Private Shared Resources As ResourceDictionary
    Shared Sub New()
        Dim resourceUri As Uri = New Uri("/BingMapControl.Client;component/Resources/BingMapImages.xaml", UriKind.Relative)
        Resources = New ResourceDictionary()
        Resources.Source = resourceUri
    End Sub
    Function GetResource(ByVal resourceId As String, ByVal cultureInfo As CultureInfo) As Object Implements IResourceProvider.GetResource
        If Not BingMapImageProvider.Resources.Contains(resourceId) Then
            Return Nothing
        Else
            Return BingMapImageProvider.Resources(resourceId)
        End If
    End Function
End Class